
package de.ivu.elect.business.wahlvorschlag.entity;

public enum NlListeStatus {

  OFFEN {

    @Override
    public String getIconMsgKey() {
      return "nl.liste.pruefen.icon.open";
    }
  },
  ABLEHNUNGGRUENDE_VORHANDEN {

    @Override
    public String getIconMsgKey() {
      return "nl.liste.pruefen.icon.warning";
    }
  },
  ZUGELASSEN {

    @Override
    public String getIconMsgKey() {
      return "nl.liste.pruefen.icon.check";
    }
  },
  ABGELEHNT {

    @Override
    public String getIconMsgKey() {
      return "nl.liste.pruefen.icon.error";
    }
  },

  ;

  NlListeStatus() {
  }

  public boolean isZulassungBestaetigenZulaessig() {
    return OFFEN.equals(this); // ELECT-13359
  }

  public abstract String getIconMsgKey();
}
